MONGOC_AUTO_ENCRYPTION_OPTS_NEW(3)

NAME
mongoc_auto_encryption_opts_new - mongoc_auto_encryption_opts_new()

SYNOPSIS

        mongoc_auto_encryption_opts_t *
        mongoc_auto_encryption_opts_new (void) BSON_GNUC_WARN_UNUSED_RESULT;

Create a new mongoc_auto_encryption_opts_t.

Caller must set the required options:

    •   mongoc_auto_encryption_opts_set_keyvault_namespace()

    •   mongoc_auto_encryption_opts_set_kms_providers()

Caller may set optionally set the following:

    •   mongoc_auto_encryption_opts_set_keyvault_client()

    •   mongoc_auto_encryption_opts_set_schema_map()

    •   mongoc_auto_encryption_opts_set_bypass_auto_encryption()

    •   mongoc_auto_encryption_opts_set_extra()

This options struct is used to enable auto encryption with mongoc_client_enable_auto_encryption().

RETURNS

A new mongoc_auto_encryption_opts_t, which must be destroyed with mongoc_auto_encryption_opts_destroy().

SEE ALSO:
        mongoc_auto_encryption_opts_destroy()

        mongoc_client_enable_auto_encryption()

        The guide for Using Client-Side Field Level Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc